published on Tuesday, Oct 13, 2026 by Pulumi
published on Tuesday, Oct 13, 2026 by Pulumi
This data source provides the list of Subsetting Policy Subsetting Rule Processing Chain Objects in Oracle Cloud Infrastructure Data Safe service.
Gets a list of objects of processing chain based on the specified query parameters generated for a subsetting rule. A processing chain is the relationship path that determines how a subsetting rule is applied across related tables. It is built from the selected subsetting table, subsetting rule, the chosen relatedTablesPropagation direction, and the referential relationships in the schema.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingPolicySubsettingRuleProcessingChainObjects = oci.datasafe.getSubsettingPolicySubsettingRuleProcessingChainObjects({
subsettingPolicyId: testSubsettingPolicy.id,
subsettingRuleKey: subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey,
isEnabledForProcessing: subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing,
});
import pulumi
import pulumi_oci as oci
test_subsetting_policy_subsetting_rule_processing_chain_objects = oci.datasafe.get_subsetting_policy_subsetting_rule_processing_chain_objects(subsetting_policy_id=test_subsetting_policy["id"],
subsetting_rule_key=subsetting_policy_subsetting_rule_processing_chain_object_subsetting_rule_key,
is_enabled_for_processing=subsetting_policy_subsetting_rule_processing_chain_object_is_enabled_for_processing)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingPolicySubsettingRuleProcessingChainObjects(ctx, &datasafe.GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs{
SubsettingPolicyId: testSubsettingPolicy.Id,
SubsettingRuleKey: subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey,
IsEnabledForProcessing: pulumi.BoolRef(subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingPolicySubsettingRuleProcessingChainObjects = Oci.DataSafe.GetSubsettingPolicySubsettingRuleProcessingChainObjects.Invoke(new()
{
SubsettingPolicyId = testSubsettingPolicy.Id,
SubsettingRuleKey = subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey,
IsEnabledForProcessing = subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingPolicySubsettingRuleProcessingChainObjects = DataSafeFunctions.getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs.builder()
.subsettingPolicyId(testSubsettingPolicy.get("id"))
.subsettingRuleKey(subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey)
.isEnabledForProcessing(subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing)
.build());
}
}
variables:
testSubsettingPolicySubsettingRuleProcessingChainObjects:
fn::invoke:
function: oci:DataSafe:getSubsettingPolicySubsettingRuleProcessingChainObjects
arguments:
subsettingPolicyId: ${testSubsettingPolicy.id}
subsettingRuleKey: ${subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey}
isEnabledForProcessing: ${subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing}
terraform {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_data_safe_subsetting_policy_subsetting_rule_processing_chain_objects" "testSubsettingPolicySubsettingRuleProcessingChainObjects" {
subsetting_policy_id = testSubsettingPolicy.id
subsetting_rule_key = subsettingPolicySubsettingRuleProcessingChainObjectSubsettingRuleKey
is_enabled_for_processing = subsettingPolicySubsettingRuleProcessingChainObjectIsEnabledForProcessing
}
Using getSubsettingPolicySubsettingRuleProcessingChainObjects
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingPolicySubsettingRuleProcessingChainObjects(args: GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult>
function getSubsettingPolicySubsettingRuleProcessingChainObjectsOutput(args: GetSubsettingPolicySubsettingRuleProcessingChainObjectsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult>def get_subsetting_policy_subsetting_rule_processing_chain_objects(filters: Optional[Sequence[GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter]] = None,
is_enabled_for_processing: Optional[bool] = None,
subsetting_policy_id: Optional[str] = None,
subsetting_rule_key: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult
def get_subsetting_policy_subsetting_rule_processing_chain_objects_output(filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilterArgs]]]] = None,
is_enabled_for_processing: pulumi.Input[Optional[bool]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
subsetting_rule_key: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult]func GetSubsettingPolicySubsettingRuleProcessingChainObjects(ctx *Context, args *GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs, opts ...InvokeOption) (*GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult, error)
func GetSubsettingPolicySubsettingRuleProcessingChainObjectsOutput(ctx *Context, args *GetSubsettingPolicySubsettingRuleProcessingChainObjectsOutputArgs, opts ...InvokeOption) GetSubsettingPolicySubsettingRuleProcessingChainObjectsResultOutput> Note: This function is named GetSubsettingPolicySubsettingRuleProcessingChainObjects in the Go SDK.
public static class GetSubsettingPolicySubsettingRuleProcessingChainObjects
{
public static Task<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> InvokeAsync(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> Invoke(GetSubsettingPolicySubsettingRuleProcessingChainObjectsInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> Invoke(GetSubsettingPolicySubsettingRuleProcessingChainObjectsInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicySubsettingRuleProcessingChainObjectsResult> getSubsettingPolicySubsettingRuleProcessingChainObjects(GetSubsettingPolicySubsettingRuleProcessingChainObjectsArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingPolicySubsettingRuleProcessingChainObjects:getSubsettingPolicySubsettingRuleProcessingChainObjects
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_policy_subsetting_rule_processing_chain_objects" "name" {
# arguments
}The following arguments are supported:
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Subsetting
Rule stringKey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- Filters
List<Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter> - Is
Enabled boolFor Processing - A filter to return the processing chain objects which are enabled for processing.
- Subsetting
Policy stringId - The OCID of the subsetting policy.
- Subsetting
Rule stringKey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- Filters
[]Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter - Is
Enabled boolFor Processing - A filter to return the processing chain objects which are enabled for processing.
- subsetting_
policy_ stringid - The OCID of the subsetting policy.
- subsetting_
rule_ stringkey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- filters list(object)
- is_
enabled_ boolfor_ processing - A filter to return the processing chain objects which are enabled for processing.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- subsetting
Rule StringKey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- filters
List<Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter> - is
Enabled BooleanFor Processing - A filter to return the processing chain objects which are enabled for processing.
- subsetting
Policy stringId - The OCID of the subsetting policy.
- subsetting
Rule stringKey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- filters
Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter[] - is
Enabled booleanFor Processing - A filter to return the processing chain objects which are enabled for processing.
- subsetting_
policy_ strid - The OCID of the subsetting policy.
- subsetting_
rule_ strkey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- filters
Sequence[Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter] - is_
enabled_ boolfor_ processing - A filter to return the processing chain objects which are enabled for processing.
- subsetting
Policy StringId - The OCID of the subsetting policy.
- subsetting
Rule StringKey - The unique key that identifies the subsetting rule. It's numeric and unique within a subsetting policy.
- filters List<Property Map>
- is
Enabled BooleanFor Processing - A filter to return the processing chain objects which are enabled for processing.
getSubsettingPolicySubsettingRuleProcessingChainObjects Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Rule stringKey - Subsetting
Rule List<GetProcessing Chain Objects Collections Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection> - The list of subsetting_rule_processing_chain_objects_collection.
- Filters
List<Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter> - Is
Enabled boolFor Processing - Indicates if this object/edge is enabled for processing
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy stringId - Subsetting
Rule stringKey - Subsetting
Rule []GetProcessing Chain Objects Collections Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection - The list of subsetting_rule_processing_chain_objects_collection.
- Filters
[]Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter - Is
Enabled boolFor Processing - Indicates if this object/edge is enabled for processing
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ stringid - subsetting_
rule_ stringkey - subsetting_
rule_ list(object)processing_ chain_ objects_ collections - The list of subsetting_rule_processing_chain_objects_collection.
- filters list(object)
- is_
enabled_ boolfor_ processing - Indicates if this object/edge is enabled for processing
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Rule StringKey - subsetting
Rule List<GetProcessing Chain Objects Collections Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection> - The list of subsetting_rule_processing_chain_objects_collection.
- filters
List<Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter> - is
Enabled BooleanFor Processing - Indicates if this object/edge is enabled for processing
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy stringId - subsetting
Rule stringKey - subsetting
Rule GetProcessing Chain Objects Collections Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection[] - The list of subsetting_rule_processing_chain_objects_collection.
- filters
Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter[] - is
Enabled booleanFor Processing - Indicates if this object/edge is enabled for processing
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ strid - subsetting_
rule_ strkey - subsetting_
rule_ Sequence[Getprocessing_ chain_ objects_ collections Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection] - The list of subsetting_rule_processing_chain_objects_collection.
- filters
Sequence[Get
Subsetting Policy Subsetting Rule Processing Chain Objects Filter] - is_
enabled_ boolfor_ processing - Indicates if this object/edge is enabled for processing
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy StringId - subsetting
Rule StringKey - subsetting
Rule List<Property Map>Processing Chain Objects Collections - The list of subsetting_rule_processing_chain_objects_collection.
- filters List<Property Map>
- is
Enabled BooleanFor Processing - Indicates if this object/edge is enabled for processing
Supporting Types
GetSubsettingPolicySubsettingRuleProcessingChainObjectsFilter
GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollection
- Items
List<Get
Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection Item> - An array of subsetting processing chain summary objects.
- Items
[]Get
Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection Item - An array of subsetting processing chain summary objects.
- items list(object)
- An array of subsetting processing chain summary objects.
- items
List<Get
Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection Item> - An array of subsetting processing chain summary objects.
- items
Get
Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection Item[] - An array of subsetting processing chain summary objects.
- items
Sequence[Get
Subsetting Policy Subsetting Rule Processing Chain Objects Subsetting Rule Processing Chain Objects Collection Item] - An array of subsetting processing chain summary objects.
- items List<Property Map>
- An array of subsetting processing chain summary objects.
GetSubsettingPolicySubsettingRuleProcessingChainObjectsSubsettingRuleProcessingChainObjectsCollectionItem
- Approximate
Row stringCount Before Subsetting - The approximate count of rows in the subsetting table before subsetting
- Child
Columns List<string> - Unique identifiers identifying the child columns in the relation.
- Child
Object stringName - The name of the child subsetting table
- Child
Schema stringName - The database schema that contains the child subsetting table
- Estimated
Row stringCount After Subsetting - The estimated count of rows in the subsetting table after subsetting
- Is
Enabled boolFor Processing - A filter to return the processing chain objects which are enabled for processing.
- Key string
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- Parent
Columns List<string> - Unique identifiers identifying the parents columns in the relation.
- Parent
Object stringName - The name of the parent subsetting table
- Parent
Schema stringName - The database schema that contains the parent subsetting table
- Propagation
Impact string - The impact on the related table due to the processing of subsetting rule
- Subsetting
Schema stringRelation Key - The unique key that identifies a subsetting relation.
- Approximate
Row stringCount Before Subsetting - The approximate count of rows in the subsetting table before subsetting
- Child
Columns []string - Unique identifiers identifying the child columns in the relation.
- Child
Object stringName - The name of the child subsetting table
- Child
Schema stringName - The database schema that contains the child subsetting table
- Estimated
Row stringCount After Subsetting - The estimated count of rows in the subsetting table after subsetting
- Is
Enabled boolFor Processing - A filter to return the processing chain objects which are enabled for processing.
- Key string
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- Parent
Columns []string - Unique identifiers identifying the parents columns in the relation.
- Parent
Object stringName - The name of the parent subsetting table
- Parent
Schema stringName - The database schema that contains the parent subsetting table
- Propagation
Impact string - The impact on the related table due to the processing of subsetting rule
- Subsetting
Schema stringRelation Key - The unique key that identifies a subsetting relation.
- approximate_
row_ stringcount_ before_ subsetting - The approximate count of rows in the subsetting table before subsetting
- child_
columns list(string) - Unique identifiers identifying the child columns in the relation.
- child_
object_ stringname - The name of the child subsetting table
- child_
schema_ stringname - The database schema that contains the child subsetting table
- estimated_
row_ stringcount_ after_ subsetting - The estimated count of rows in the subsetting table after subsetting
- is_
enabled_ boolfor_ processing - A filter to return the processing chain objects which are enabled for processing.
- key string
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- parent_
columns list(string) - Unique identifiers identifying the parents columns in the relation.
- parent_
object_ stringname - The name of the parent subsetting table
- parent_
schema_ stringname - The database schema that contains the parent subsetting table
- propagation_
impact string - The impact on the related table due to the processing of subsetting rule
- subsetting_
schema_ stringrelation_ key - The unique key that identifies a subsetting relation.
- approximate
Row StringCount Before Subsetting - The approximate count of rows in the subsetting table before subsetting
- child
Columns List<String> - Unique identifiers identifying the child columns in the relation.
- child
Object StringName - The name of the child subsetting table
- child
Schema StringName - The database schema that contains the child subsetting table
- estimated
Row StringCount After Subsetting - The estimated count of rows in the subsetting table after subsetting
- is
Enabled BooleanFor Processing - A filter to return the processing chain objects which are enabled for processing.
- key String
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- parent
Columns List<String> - Unique identifiers identifying the parents columns in the relation.
- parent
Object StringName - The name of the parent subsetting table
- parent
Schema StringName - The database schema that contains the parent subsetting table
- propagation
Impact String - The impact on the related table due to the processing of subsetting rule
- subsetting
Schema StringRelation Key - The unique key that identifies a subsetting relation.
- approximate
Row stringCount Before Subsetting - The approximate count of rows in the subsetting table before subsetting
- child
Columns string[] - Unique identifiers identifying the child columns in the relation.
- child
Object stringName - The name of the child subsetting table
- child
Schema stringName - The database schema that contains the child subsetting table
- estimated
Row stringCount After Subsetting - The estimated count of rows in the subsetting table after subsetting
- is
Enabled booleanFor Processing - A filter to return the processing chain objects which are enabled for processing.
- key string
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- parent
Columns string[] - Unique identifiers identifying the parents columns in the relation.
- parent
Object stringName - The name of the parent subsetting table
- parent
Schema stringName - The database schema that contains the parent subsetting table
- propagation
Impact string - The impact on the related table due to the processing of subsetting rule
- subsetting
Schema stringRelation Key - The unique key that identifies a subsetting relation.
- approximate_
row_ strcount_ before_ subsetting - The approximate count of rows in the subsetting table before subsetting
- child_
columns Sequence[str] - Unique identifiers identifying the child columns in the relation.
- child_
object_ strname - The name of the child subsetting table
- child_
schema_ strname - The database schema that contains the child subsetting table
- estimated_
row_ strcount_ after_ subsetting - The estimated count of rows in the subsetting table after subsetting
- is_
enabled_ boolfor_ processing - A filter to return the processing chain objects which are enabled for processing.
- key str
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- parent_
columns Sequence[str] - Unique identifiers identifying the parents columns in the relation.
- parent_
object_ strname - The name of the parent subsetting table
- parent_
schema_ strname - The database schema that contains the parent subsetting table
- propagation_
impact str - The impact on the related table due to the processing of subsetting rule
- subsetting_
schema_ strrelation_ key - The unique key that identifies a subsetting relation.
- approximate
Row StringCount Before Subsetting - The approximate count of rows in the subsetting table before subsetting
- child
Columns List<String> - Unique identifiers identifying the child columns in the relation.
- child
Object StringName - The name of the child subsetting table
- child
Schema StringName - The database schema that contains the child subsetting table
- estimated
Row StringCount After Subsetting - The estimated count of rows in the subsetting table after subsetting
- is
Enabled BooleanFor Processing - A filter to return the processing chain objects which are enabled for processing.
- key String
- The unique key that identifies a subsetting relation processed. The key is numeric and unique within a processing order
- parent
Columns List<String> - Unique identifiers identifying the parents columns in the relation.
- parent
Object StringName - The name of the parent subsetting table
- parent
Schema StringName - The database schema that contains the parent subsetting table
- propagation
Impact String - The impact on the related table due to the processing of subsetting rule
- subsetting
Schema StringRelation Key - The unique key that identifies a subsetting relation.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Tuesday, Oct 13, 2026 by Pulumi